Browse Source

CI: fix build

nephele-craftmethods
sfan5 1 year ago
parent
commit
2bdf4955c8
  1. 25
      .github/workflows/build.yml
  2. 6
      util/ci/common.sh

25
.github/workflows/build.yml

@ -33,9 +33,8 @@ jobs:
- uses: actions/checkout@v2
- name: Install deps
run: |
sudo apt-get install g++-6 gcc-6 -qyy
source ./util/ci/common.sh
install_linux_deps
install_linux_deps g++-6
- name: Build
run: |
@ -55,9 +54,8 @@ jobs:
- uses: actions/checkout@v2
- name: Install deps
run: |
sudo apt-get install g++-8 gcc-8 -qyy
source ./util/ci/common.sh
install_linux_deps
install_linux_deps g++-8
- name: Build
run: |
@ -77,9 +75,8 @@ jobs:
- uses: actions/checkout@v2
- name: Install deps
run: |
sudo apt-get install clang-3.9 -qyy
source ./util/ci/common.sh
install_linux_deps
install_linux_deps clang-3.9
- name: Build
run: |
@ -99,11 +96,8 @@ jobs:
- uses: actions/checkout@v2
- name: Install deps
run: |
sudo apt-get install clang-9 valgrind -qyy
source ./util/ci/common.sh
install_linux_deps
env:
WITH_LUAJIT: 1
install_linux_deps clang-9 valgrind libluajit-5.1-dev
- name: Build
run: |
@ -111,6 +105,7 @@ jobs:
env:
CC: clang-9
CXX: clang++-9
CMAKE_FLAGS: "-DREQUIRE_LUAJIT=1"
- name: Test
run: |
@ -128,9 +123,8 @@ jobs:
- uses: actions/checkout@v2
- name: Install deps
run: |
sudo apt-get install clang-9 -qyy
source ./util/ci/common.sh
install_linux_deps
install_linux_deps clang-9
- name: Build prometheus-cpp
run: |
@ -156,9 +150,8 @@ jobs:
- uses: actions/checkout@v2
- name: Install deps
run: |
sudo apt-get install clang-9 -qyy
source ./util/ci/common.sh
install_linux_deps
install_linux_deps clang-9
- name: Build
run: |
@ -188,7 +181,7 @@ jobs:
- uses: actions/checkout@v2
- name: Install compiler
run: |
sudo apt-get install gettext -qyy
sudo apt-get update -q && sudo apt-get install gettext -qyy
wget http://minetest.kitsunemimi.pw/mingw-w64-i686_9.2.0_ubuntu18.04.tar.xz -O mingw.tar.xz
sudo tar -xaf mingw.tar.xz -C /usr
@ -206,7 +199,7 @@ jobs:
- uses: actions/checkout@v2
- name: Install compiler
run: |
sudo apt-get install gettext -qyy
sudo apt-get update -q && sudo apt-get install gettext -qyy
wget http://minetest.kitsunemimi.pw/mingw-w64-x86_64_9.2.0_ubuntu18.04.tar.xz -O mingw.tar.xz
sudo tar -xaf mingw.tar.xz -C /usr

6
util/ci/common.sh

@ -7,13 +7,9 @@ install_linux_deps() {
libhiredis-dev libogg-dev libgmp-dev libvorbis-dev libopenal-dev \
gettext libpq-dev postgresql-server-dev-all libleveldb-dev \
libcurl4-openssl-dev)
# for better coverage, build some jobs with luajit
if [ -n "$WITH_LUAJIT" ]; then
pkgs+=(libluajit-5.1-dev)
fi
sudo apt-get update
sudo apt-get install -y --no-install-recommends ${pkgs[@]}
sudo apt-get install -y --no-install-recommends ${pkgs[@]} "$@"
}
# Mac OSX build only

Loading…
Cancel
Save